> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuro-tech.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Invoices

> List, create, retrieve, and update Neuro-Pay invoices

## Endpoints

| Method | Path                | Purpose                   |
| ------ | ------------------- | ------------------------- |
| `GET`  | `/invoice/index`    | List company invoices     |
| `POST` | `/invoice/create`   | Create an invoice         |
| `POST` | `/invoice/retrieve` | Retrieve a single invoice |
| `POST` | `/invoice/update`   | Update a draft invoice    |

## List invoices

`GET /invoice/index`

Returns an array of invoices for the authenticated company, ordered by newest
first.

## Create invoice

`POST /invoice/create`

### Request body

```json theme={null}
{
  "currency_id": "SEK",
  "invoice_date": "2026-05-06",
  "due_date": "2026-05-20",
  "client_data": {
    "name": "Ada Lovelace Ltd",
    "address_line1": "1 Analytical Engine Way",
    "zip_code": "11122",
    "city": "Stockholm",
    "country": "SE",
    "sendVia": "Email",
    "sendTo": "billing@example.com"
  },
  "invoice_rows": [
    {
      "item": "Consulting",
      "description": "Architecture workshop",
      "quantity": 2,
      "unitCost": 1500,
      "tax": 25
    }
  ]
}
```

### Notes

* `currency_id` is required
* `sendVia` must be `Email` or `Sms` when provided
* the currency must be available for the authenticated company

## Retrieve invoice

`POST /invoice/retrieve`

```json theme={null}
{
  "invoice_id": "inv_cid_here"
}
```

## Update invoice

`POST /invoice/update`

```json theme={null}
{
  "invoice_id": "inv_cid_here",
  "currency_id": "SEK",
  "due_date": "2026-05-25",
  "client_data": {
    "name": "Ada Lovelace Ltd",
    "sendVia": "Email",
    "sendTo": "billing@example.com"
  },
  "invoice_rows": [
    {
      "item": "Consulting",
      "description": "Expanded workshop",
      "quantity": 3,
      "unitCost": 1500,
      "tax": 25
    }
  ]
}
```

Only draft invoices can be updated.

## Invoice response shape

```json theme={null}
{
  "invoice_id": "inv_cid_here",
  "invoice_no": "100012",
  "currency_id": "SEK",
  "amount": 3750,
  "balance": 0,
  "invoice_date": "2026-05-06",
  "due_date": "2026-05-20",
  "status": "draft",
  "created": "2026-05-06 08:00:00",
  "log": {
    "2026-05-06 08:00:00": "created"
  },
  "client_data": {
    "name": "Ada Lovelace Ltd",
    "sendVia": "Email",
    "sendTo": "billing@example.com"
  },
  "sender_data": {
    "name": "Your company"
  },
  "invoice_rows": [
    {
      "invoice_row_id": "row_cid_here",
      "item": "Consulting",
      "description": "Architecture workshop",
      "quantity": 2,
      "unitCost": 1500,
      "tax": 25
    }
  ]
}
```
